EditAttachPrintable
r10 - 2014-05-09 - 12:48:02 - StephanieBagotYou are here: TWiki >  Deployment Web > DeploymentTroubleshooting > UpgradeTroubleshooting > RRDIUpgrade

new.png RRDI upgrade troubleshooting

Authors: StephanieBagot, UpgradeTroubleshootingTeam
Build basis: CLM 3.x and later, RRDI 2.x and later

This page is the starting point for information and techniques to help diagnose and troubleshoot upgrade issues when upgrading Rational Reporting for Development Intelligence (RRDI) servers.

Before upgrading

Upgrade Philosophy

During an RRDI Upgrade, you may be advised on some 'philosophies' on how to be best successful in your upgrade. Below we discuss some of these items.

Always upgrade CLM before RRDI

We advise the upgrade of CLM prior to RRDI to ensure that the data warehouse is at the correct level prior to an RRDI upgrade. If you choose to upgrade RRDI first, be prepared to see a "The datawarehouse was created by a previous version" error. The workaround is discussed below under Performing the Upgrade.

Always keep RRDI and CLM at the same version level

This is a recommendation to ensure that you are using a tested compatible version of both products, as well as utilizing all features or changes. However, this is not a hard rule. See Version Compatibility for more information on which versions are supported together if you cannot keep RRDI and CLM at the same version.

You must download RRDI Installation Repository to install

While you have the option to download the RRDI Installation Repository from jazz.net to install RRDI, you can also upgrade in-place referencing the repositories on jazz.net.

Performing the upgrade

This section will discuss known issues that can occur during the outlined steps of the upgrade for the Rational Reporting for Development Intelligence server.

Install the new version RRDI

  • Some installation issues:

Technote 1665912: RRDI Installation or upgrade fails with wrong MD5

Technote 1567843: Installation fails with error "CRRRD4515E Error creating table spaces"

Installing Websphere for use with RRDI

Starting the setup wizard for RRDI and proceeding with its configuration

Error "The datawarehouse was created by a previous version"

This error is indicative that the datawarehouse used by a CLM application was created with an older version. For example, if you are upgrading RRDI to 2.0., this error may occur if CLM is at version 3.0.1. This error is document in Technote 1614140: Running RRDI Setup during upgrade results in Previous Version error.

Deploying report resources results in CRRRA2083E

Upon deploying the report resources in the setup wizard for RRDI, the following error is seen:
CRRRA2083E: Cannot connect to the report server
For information on this error, see Technote 1652043: Upgrading RRDI results in CRRRA2083E error during RRDI setup

Uninstalling the previous version of RRDI

Issues during upgrade

If the setup fails, consult the technote MustGather: Diagnostic information for IBM Rational Reporting Development Intelligence and Insight section RRDI/Insight Setup Wizard for logs

Additional tips may be found under this topic: Troubleshooting the upgrade of Rational Reporting for Development Intelligence

In some cases, it may be necessary to proceed through a step manually. Here are the detailed steps for the setup wizard:

  • Outline of the RRDI Setup and Corresponding Manual Steps

1. Configure Database Management System

2. Configure Content Store Database

- Creating the database for the content store - During the setup, save configuration scripts to run after you finish deploying the report server. - Configure connection to the Content Store

3. Configure Data Warehouse

- Create data warehouse - Populate data warehouse

 repotools-jts -createWarehouse 
- Connect report server to data warehouse

4. [[http://pic.dhe.ibm.com/infocenter/clmhelp/v3r0m1/index.jsp?topic=%2Fcom.ibm.rational.rcpr.help.doc%2Ftopics%2Ft_postreq_reportalserver_db2isdw_repservISwas.html ][Configure Application Server ]]

5. Configure Rational Reporting User Authentication

6. [[http://pic.dhe.ibm.com/infocenter/clmhelp/v3r0m1/index.jsp?topic=%2Fcom.ibm.rational.rcpr.help.doc%2Ftopics%2Ft_postreq_reportalserver_db2isdw_repservISwas.html ][Build and Deploy Reporting Components]]

  • How to Reinitialize the Setup Wizard

User data (all values entered in the RRDI Setup Wizard) is persisted in a triple store database as a collection of files in the [RRDI-Install-Location]/setup/tool/JazzTeamServer/server/conf/rrdi/repository directory. You may want to re-initialize the setup wizard without having to reinstall. For example, you need to reset the password or change a port. Here are the steps:

1. Back up all the files in

[RRDI-Install-Location]/setup/tool/JazzTeamServer/server/conf/rrdi/repository directory

2. Delete the content of this directory.

3. Start the RRDI Setup Wizard again

4. Re-enter values for all the steps and fields in the Wizard. This will update the RRDI Setup Wizard's configuration data.

Issues after upgrade

Where do I go from here?

If you are unable to resolve your issue using the available online resources, open a service request with IBM Rational Support. Refer to Additional troubleshooting resources for further details.

Related topics: None

External links:

  • None

Additional contributors: StephanieBagot, AntoinetteIacobo

Edit | Attach | Printable | Raw View | Backlinks: Web, All Webs | History: r12 < r11 < r10 < r9 < r8 | More topic actions...
 
This site is powered by the TWiki collaboration platformCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Contributions are governed by our Terms of Use. Please read the following disclaimer.
Ideas, requests, problems regarding the Deployment wiki? Create a new task in the RTC Deployment wiki project